#include <Wire.h>

char txdata = 0;

void setup() {
  Wire.begin(8);                // join i2c bus with address #8

  Wire.onReceive(receiveEvent); // register event
  Wire.onRequest(requestEvent); // register event
  
  Serial.begin(9600);
}

void loop() {
  char temp;
  delay(100);
  if (Serial.available() > 0) {
                temp = Serial.read();
                }
                if(temp != 10)
                {
                  txdata = temp;
                  }
}

void receiveEvent(int howMany) {
  while (1 < Wire.available()) { // loop through all but the last
    char c = Wire.read(); // receive byte as a character
    Serial.print(c);         // print the character
  }
  int x = Wire.read();    // receive byte as an integer
  Serial.println(x);         // print the integer
}

void requestEvent() {
  
  Wire.write(txdata); 
  // as expected by master}
  }
